Forum Visual Studio

Xcode 11.3.1 is currently selected in Preferences and is incompatible...

JeffRushJeffRush USMember ✭✭

So after repeatedly getting pestered by Visual Studio for Mac to upgrade several components, I finally gave in and am once again disappointed in the results. Now I see this warning on my project tree node:

I'm unable to build the app. Apparently I would have to upgrade to my Mac OS to Catalina, then upgrade Xcode to 11.4.

Is there a way to rollback to a previous version of Xamarin.iOS safely?

Posts

  • JeffRushJeffRush USMember ✭✭

    The solution that worked for me was to connect to my Mac from my Windows 10 machine using Visual Studio 2019 -- it found the incompatibilities and rolled my Mac back to the earlier versions of Monotouch and Xamarin.iOS.

  • JohnHJohnH GBMember ✭✭✭✭✭
    You will eventually have to update to Catalina, at some point Apple will make Xcode 11.4 compulsory. At least you don’t have to do that yet!
  • JeffRushJeffRush USMember ✭✭

    Yep, no doubt. For now, upgrading to Catalina isn't an option, but I'm sure we will soon. I just wish that Apple/Microsoft had better coordination between versioning. Anytime I get the "Visual Studio Update" popup, I cringe because I know there are likely to be some compatibility problems.

  • AndyFlisherAndyFlisher GBBeta, University ✭✭✭✭

    This has caught me a couple of times, and there is a way to rollback Xamarin iOS - I've blogged the steps over at https://xyroh.com/xyroh/2020/03/oops-how-to-fix-when-youve-upgraded-visual-studio-for-mac-xamarin-ios-and-now-being-forced-to-upgrade-xcode-and-to-catalina-😬 if it helps anyone

Sign In or Register to comment.